[[> :header]]

<ol class="breadcrumb">
  [[> :templateBreadcrumb uri=":Start" label="Home"]]

  [[#if (urlParam "bookiri")]]

    [[> :templateBreadcrumb uri=":listBooks" label="Books"]]
    <li class="breadcrumb-item">
      <semantic-query
        query='SELECT ?book_name ?book WHERE { ?book ecrm:P3_has_note ?book_name . BIND(<[[urlParam "bookiri"]]> as ?book ) }'
        template='{{#each bindings}}
          <semantic-link uri="{{book.value}}" urlqueryparam-tab="parts">{{book_name.value}}</semantic-link>
        {{/each}}'
      >
      </semantic-query>
    </li>

    [[#if (urlParam "returniri")]]
      <li class="breadcrumb-item">
        <semantic-query
          query='SELECT ?part_name ?part WHERE { ?part ecrm:P3_has_note ?part_name . BIND(<[[urlParam "partiri"]]> as ?part ) }'
          template='{{#each bindings}}
            <semantic-link uri="{{part.value}}" urlqueryparam-returniri="[[urlParam "returniri"]]">{{part_name.value}}</semantic-link>
          {{/each}}'
        >
        </semantic-query>
      </li>
    [[/if]]

  [[else]]


    [[> :templateBreadcrumb uri=":listParts" label="Parts"]]

      <li class="breadcrumb-item">
        <semantic-query
          query='SELECT ?part_name ?part WHERE { ?part ecrm:P3_has_note ?part_name . BIND(<[[urlParam "partiri"]]> as ?part ) }'
          template='{{#each bindings}}
            <semantic-link uri="{{part.value}}">{{part_name.value}}</semantic-link>
          {{/each}}'
        >
        </semantic-query>
    </li>
  [[/if]]
</ol>


[[#if (urlParam "carriedoutbyiri")]]
  <h2>Edit creator of part</h2>
[[else]]
  <h2>Add creator to part</h2>
[[/if]]

[[#if (urlParam "partiri")]]
  <semantic-query
    query='SELECT ?part_name WHERE { ?part ecrm:P3_has_note ?part_name . BIND(<[[urlParam "partiri"]]> as ?part ) }'
    template='<p>Use this form to assign an author to the part {{#each bindings}} {{part_name.value}} {{/each}}'
  >
  </semantic-query>

  <semantic-form
      fields="[[fieldDefinitions
        author_role="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/author_role"
        author="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/part_author"
        note="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/note"
        record_type="http://sphaera.mpiwg-berlin.mpg.de/instances/fields/carried_out_by"
      ]]"
      browser-persistence="false"
      persistence="LDP"
      post-action="[[urlParam "partiri"]]"
      [[#if (urlParam "bookiri")]]
        urlqueryparam-bookiri="[[urlParam "bookiri"]]"
      [[/if]]
      [[#if (urlParam "attributeassignmentiri")]]
        urlqueryparam-attributeassignmentiri="[[urlParam "attributeassignmentiri"]]"
      [[/if]]
      [[#if (urlParam "returniri")]]
        urlqueryparam-returniri="[[urlParam "returniri"]]"
      [[/if]]
      [[#if (urlParam "returntab")]]
        urlqueryparam-tab="[[urlParam "returntab"]]"
        urlqueryparam-returntab="[[urlParam "returntab"]]"
      [[/if]]
      subject="[[#if (urlParam "carriedoutbyiri")]][[urlParam "carriedoutbyiri"]][[else]][[urlParam "partiri"]]/author/[[singleValueFromSelect "SELECT ?uuid WHERE {BIND(STRUUID() as ?uuid )}"]][[/if]]"
    >

    <semantic-form-select-input for="author"></semantic-form-select-input>

    <div class="gap-bottom">
      <mp-overlay-dialog title="Create new person" type="modal" bs-size="large">
        <mp-overlay-dialog-trigger><a>Create new person</a></mp-overlay-dialog-trigger>
        <mp-overlay-dialog-content>
          <div width="800px">
            <mp-page-loader iri="http://sphaera.mpiwg-berlin.mpg.de/resource/createPerson" urlqueryparam-noredirect="true">
            </mp-page-loader>
          </div>
        </mp-overlay-dialog-content>
      </mp-overlay-dialog>
    </div>

    <p>Add a justification for the name assignment, e.g. add a quote from a book.</p>
    <semantic-form-text-input for="note"></semantic-form-text-input>

      <div class="disabled hidden-field">
        <semantic-form-text-input for="author_role"></semantic-form-text-input>
        <semantic-form-text-input for="record_type"></semantic-form-text-input>
      </div>
      <div class="text-right form-submit">
        <semantic-link uri="[[urlParam "partiri"]]"
          [[#if (urlParam "bookiri")]]
            urlqueryparam-bookiri="[[urlParam "bookiri"]]"
          [[/if]]
          [[#if (urlParam "attributeassignmentiri")]]
            urlqueryparam-attributeassignmentiri="[[urlParam "attributeassignmentiri"]]"
          [[/if]]
          [[#if (urlParam "returniri")]]
            urlqueryparam-returniri="[[urlParam "returniri"]]"
          [[/if]]
          [[#if (urlParam "returntab")]]
            urlqueryparam-tab="[[urlParam "returntab"]]"
            urlqueryparam-returntab="[[urlParam "returntab"]]"
          [[/if]]
          class="btn btn-default btn-md">
          Cancel
        </semantic-link>
        <button name="submit" class="btn btn-primary btn-md">Save</button>
      </div>
    </semantic-form>
[[else]]
	No part has been selected. This form needs to be accessed via a part record.
[[/if]]


[[> :footer ]]
